--KillsnWipes Global
--ENCOUNTER_START ENCOUNTER_END
function(event, encounterID, encounterName, difficultyID, groupSize, success)
	print(event, encounterID, encounterName, difficultyID, groupSize, success)
	if difficultyID == 14 or difficultyID == 15 or difficultyID == 16 or difficultyID == 17 then
		if difficultyID == 14 then
			local difficulty = "Normal"
			elseif difficultyID == 15 then
				local difficulty = "Heroic"
				elseif difficultyID == 16 then
					local difficulty = "Mythic"
					elseif difficultyID == 17 then
						local difficulty = "LFR"
					end
		if event == "ENCOUNTER_START" then
			if KillsnWipes.encounterName == nil then
				KillsnWipes.encounterName = {["Normal"] = {}, ["Heroic"] = {}, ["Mythic"] = {}, ["LFR"] = {}}
				KillsnWipes.encounterName.Normal = {["tries"] = 0, ["wipes"] = 0, ["kills"] = 0}
				KillsnWipes.encounterName.Heroic = {["tries"] = 0, ["wipes"] = 0, ["kills"] = 0}
				KillsnWipes.encounterName.Mythic = {["tries"] = 0, ["wipes"] = 0, ["kills"] = 0}
				KillsnWipes.encounterName.LFR = {["tries"] = 0, ["wipes"] = 0, ["kills"] = 0}
			end
			KillsnWipes.encounterName[difficulty].tries = KillsnWipes.encounterName[difficulty].tries + 1
		end
		if event == "ENCOUNTER_END" then
			if success == 0 then
				KillsnWipes.encounterName[difficulty].wipes = KillsnWipes.encounterName[difficulty].wipes + 1
			else
				KillsnWipes.encounterName[difficulty].kills = KillsnWipes.encounterName[difficulty].kills + 1
			end
		end
	end
end 